package com.engine.kq.nbjh;

import weaver.conn.RecordSet;
import weaver.general.Util;

/**
 * @Title
 * @Author wangchaofa
 * @CreateDate 2024/4/2
 * @Version 1.0
 * @Description
 */
public class KqUtil {
    /**
     * 获取 哺乳假 数据
     * @param fromDate
     * @param toDate
     * @param userid
     * @return
     */
    public static double getBreastfeedLeave(String fromDate,String toDate,String userid){
        double result = 0.00;
        RecordSet rs = new RecordSet();
        String breastfeedLeave_table = rs.getPropValue("nbjh_ygdjblc","breastfeedLeave_table");
        rs.executeQuery(" select sum(a.mtgjxs) as result from "+ breastfeedLeave_table +" a,workflow_requestbase b " +
                " where a.requestid=b.requestid and b.currentnodetype=3 " +
                " and a.ksrq >= ? and a.jsrq <= ? and a.xm = ?",fromDate,toDate,userid);
        while(rs.next()){
            result = Util.getDoubleValue(rs.getString("result"),0.00);
        }
        return result;
    }


}
